:root {
  --color-primary: #ffd64e;
  --color-secondary: #EE493D;

  --color-dark--1: #30373b;
  --color-dark--2: #454b50;
  --color-light--1: rgb(168, 168, 168);
  --color-light--2: #ebebeb;
  --color-light--3: rgb(222, 229, 231);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', sans-serif;
  color: var(--color-light--2);
  font-weight: 400;
  line-height: 1.6;
  height: 100vh;
  overscroll-behavior-y: none;

  background-color: #fff;

  display: flex;
}

/* GENERAL */
a:link,
a:visited {
  color: var(--color-primary);
}

.container {
  display: flex;
  width: 100%;
  height: 100%;
}

/* SIDEBAR */
.sidebar {
  width: 50vw;
  min-width: 42rem;
  max-width: 50rem;
  background-color: var(--color-dark--1);
  padding: 3rem 0;
  display: flex;
  flex-direction: column;
}

.logo {
  height: 5.2rem;
  align-self: center;
  margin-bottom: 3rem;
}

.workouts {
  list-style: none;
  height: auto;
  max-height: 77vh;
  overflow-y: scroll;
  overflow-x: hidden;
}

.workouts::-webkit-scrollbar {
  width: 0;
}

.workout {
  background-color: var(--color-dark--2);
  padding: 1.5rem 2.25rem;
  margin-bottom: 1.75rem;
  cursor: pointer;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 0.75rem 1.5rem;
  position: relative;
}

.workout--running {
  border-top: 4px solid var(--color-secondary);
}
.workout--cycling {
  border-top: 4px solid var(--color-primary);
}

.workout__title {
  font-size: 1.7rem;
  font-weight: 500;
  grid-column: 1 / -1;
}

.workout__details {
  display: flex;
  align-items: baseline;
}

.workout__icon {
  font-size: 1.8rem;
  margin-right: 0.2rem;
  height: 0.28rem;
}

.workout__value {
  font-size: 1.5rem;
  margin-right: 0.5rem;
}

.workout__unit {
  font-size: 1.1rem;
  color: var(--color-light--1);
  text-transform: uppercase;
  font-weight: 700;
}

.workout__buttons {
  position: absolute;
  display: none;
  top: 1rem;
  right: 1.5rem;
  font-size: 1.2rem;
}

.workout__btn {
  padding: 3px 5px;
  cursor: pointer;
  border: none;
  background-color: transparent;
  color: var(--color-light--1);
}

.workout__btn--edit {
  margin-right: 1rem;
}

.workout:hover > .workout__buttons {
  display: block;
}

.form {
  background-color: var(--color-dark--2);
  padding: 1.5rem 2.75rem;
  margin-bottom: 1.75rem;

  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.5rem 2.5rem;

  height: 10rem;
  transition: all 0.5s, transform 1ms;
}

.form.hidden {
  transform: translateY(-30rem);
  height: 0;
  padding: 0 2.25rem;
  margin-bottom: 0;
  opacity: 0;
}

.form__row {
  display: flex;
  align-items: center;
}

.form__row--hidden {
  display: none;
}

.form__label {
  flex: 0 0 50%;
  font-size: 1.5rem;
  font-weight: 500;
}

.form__input {
  width: 50%;
  padding: 0.3rem 1.1rem;
  font-family: inherit;
  font-size: 1.4rem;
  border: none;
  border-radius: 3px;
  background-color: var(--color-light--3);
  transition: all 0.2s;
}

.form__input:focus {
  outline: none;
  background-color: #fff;
}

.form__btn {
  display: none;
}

.reset__btn {
  display: none;
  margin-top: 1rem;
  font-family: inherit;
  font-weight: 500;
  text-transform: uppercase;
  width: 100%;
  color: var(--color-light--2);
  background-color: var(--color-dark--2);
  border: none;
  padding: 1.25rem 2.5rem;
}

.form__edit {
  background-color: var(--color-dark--2);
  padding: 1.5rem 2.75rem;
  margin-bottom: 1.75rem;

  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.5rem 2.5rem;

  height: 10rem;
  transition: all 0.5s, transform 1ms;
}

.validation {
  position: absolute;
  display: none;
  align-items: center;
  top: 5rem;
  left: 50%;
  padding: 1.25rem 2.5rem;
  /* border-radius: 6px; */
  background-color: var(--color-light--2);
  border-left: 8px solid var(--color-secondary);
  transform: translateX(-50%);
  z-index: 999;
  box-shadow: 1rem 1rem 2rem #2d343928;
  transition: all .3s;
}

.validation__heading {
  font-size: 2.4rem;
  font-weight: 700;
  color: var(--color-dark--1);
}

.validation__description {
  font-size: 1.6rem;
  font-weight: 400;
  color: #969696;
}

.instructions {
  font-weight: 300;
  padding: 0 3rem;
  margin-top: 5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.instructions h3 {
  font-size: 2rem;
  margin-bottom: 1.5rem;
}

.instructions__item {
  font-size: 1.4rem;
  line-height: 2;
}

.instructions__item span {
  margin-right: 1rem;
}

.instructions__list {
  list-style: none;
}

.hidden {
  opacity: 0;
}

.none {
  display: none;
}

/* MAP */
#map {
  flex: 1;
  height: 100%;
  background-color: var(--color-light--1);
}

.leaflet-popup .leaflet-popup-content-wrapper {
  background-color: var(--color-dark--1);
  color: var(--color-light--2);
  border-radius: 5px;
  padding-right: 0.6rem;
}

.leaflet-popup .leaflet-popup-content {
  font-size: 1.5rem;
}

.leaflet-popup .leaflet-popup-tip {
  background-color: var(--color-dark--1);
}

.running-popup .leaflet-popup-content-wrapper {
  border-left: 6px solid var(--color-secondary);
}
.cycling-popup .leaflet-popup-content-wrapper {
  border-left: 6px solid var(--color-primary);
}

@media (max-width: 780px) {
  .container {
    flex-direction: column;
  }

  .sidebar {
    width: 100%;
    padding: 1.5rem 0;
    max-width: none;
    min-width: auto;
    order: 2;
  }

  .logo {
    margin-bottom: 1.5rem;
    height: 4rem;
  }

  .instructions {
    margin-top: 0;
    padding: 0 2rem;
  }

  #map {
    min-height: 50vh;
  }

  .workout__buttons {
    display: block;
  }
}

@media (max-width: 450px) {
  html {
    font-size: 58%;
  }

  .form {
    grid-template-columns: 1fr;
    height: auto;
    gap: 1.5rem 2.5rem;
  }

  .form__edit {
    grid-template-columns: 1fr;
    height: auto;
    gap: 1.5rem 2.5rem;
  }

  .workout {
    grid-template-columns: 1fr 1fr;
  }
}